Results 1 to 8 of 8

Thread: Whats happening to my GUI?

  1. #1

    Default Whats happening to my GUI?

    Hi,

    Since early February I have not been able to run FreeCAD due to some sort of problem with MESA/Radion graphics (the details of which are beyond me).
    Today, after the 20180226 upgrade, I can now no longer run the EAgle PCB design software!
    To be more accurate, I think it is running in a window, it is just that I can't see it. Its just black...

    Any tips to get me running again?

    Regards, Martin
    KDE Plasma 5.12.1, Kernal 4.15.5-1

    openSUSE Leap 15.1; KDE Plasma 5.12.8;

  2. #2
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,559

    Default Re: Whats happening to my GUI?

    Given a fresh install of FreeCAD version 0.16 on this Leap 42.3 system, which executes happily with:
    • Plasma version 5.8.7; KDE Frameworks version 5.32.0; Qt version 5.6.2;
    • AMD FX(tm)-4100 CPU; AMD Oland graphics card;
    • Radeon driver;

    are you certain that, all of the following packages pulled in by the FreeCAD installation are present on your system?
    • boost-license1_58_0
    • python-CXX
    • libCoin60
    • libshiboken-python2_7-1_2
    • libspnav0
    • oce
    • libboost_system1_58_0
    • libboost_signals1_58_0
    • libboost_regex1_58_0
    • libboost_python1_58_0
    • libboost_program_options1_58_0
    • libSoQt20
    • python-pivy
    • FreeCAD

    On this system, "zypper info --requires FreeCAD" lists 108 required library files. Alternatively, use "rpm --query --requires FreeCAD" to generate a list of required items.

  3. #3

    Default Re: Whats happening to my GUI?

    Quote Originally Posted by dcurtisfra View Post
    Given a fresh install of FreeCAD version 0.16 on this Leap 42.3 system, ....

    are you certain that.......
    Hi,
    Thank you for you interest and suggestions. However....
    1. Apples/Oranges? I am running Tumbleweed and not Leap 42.3. I will be dropping of the "cutting edge" of this rolling release headache once Leap 15 is released. But until then, I guess I'm stuck?
    2. I am not certain of anything. But very few of your dependencies match my system because of 1.) above.

    Regards, Martin
    openSUSE Leap 15.1; KDE Plasma 5.12.8;

  4. #4

    Default Re: Whats happening to my GUI?

    Hi all,

    Yippe.... First of March upgrade and I got my Eagle PCB CAD graphics back (I could see what I was doing!).

    Dho.... 3rd March upgrade. Its gone again!!!! Eagle PCB CAD still runs, but I just can't see it!

    Still no change on FreeCAD though. Still reporting:
    Code:
    xcb] Unknown sequence number while processing queue
    [xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
    [xcb] Aborting, sorry about that.
    FreeCAD: xcb_io.c:259: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.
    Aborted (core dumped)
    Regards, Martin
    openSUSE Leap 15.1; KDE Plasma 5.12.8;

  5. #5

    Default Re: Whats happening to my GUI?

    Quote Originally Posted by martinprowe View Post
    Yippe.... First of March upgrade and I got my Eagle PCB CAD graphics back (I could see what I was doing!).

    Dho.... 3rd March upgrade. Its gone again!!!! Eagle PCB CAD still runs, but I just can't see it!
    AND .... 6th March. Its back again!

    What is going on. What should I be looking for to to prevent my graphic/GUI/video (what ever) going south?
    Do I just stop doing upgrades? Stop doing some upgrades?

    I use Eagle PCB and FreeCAD almost daily and to have it coming and going (or just going as in the case of FreeCAD) is very frustrating!

    Best regards, Martin
    openSUSE Leap 15.1; KDE Plasma 5.12.8;

  6. #6
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,559

    Question Re: Whats happening to my GUI?

    Quote Originally Posted by martinprowe View Post
    I use Eagle PCB and FreeCAD almost daily and to have it coming and going (or just going as in the case of FreeCAD) is very frustrating!
    What were your reasons for choosing Tumbleweed?
    • Given your need to use CAD applications, would Leap 42.3 be a better choice?

  7. #7

    Default Re: Whats happening to my GUI?

    Hi,

    Two very good questions...
    Quote Originally Posted by dcurtisfra View Post
    What were your reasons for choosing Tumbleweed?
    I was feed-up of the annual upgrades. They never went smoothly (probably my fault?) and I always ended doing a full install - which of course necessitated installing all my applications and tweaks I had made throughout the year. A nightmare! I had hoped that "little and often" would be easer.

    Given your need to use CAD applications, would Leap 42.3 be a better choice?
    Probably. Knowing what I know now. However, I don't want to switch to 42.3 now when Leap 15 is only weeks(?) away.

    But I'd still like to know what it is that is causing my graphics problems....

    Best regards, Martin
    openSUSE Leap 15.1; KDE Plasma 5.12.8;

  8. #8
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,559

    Question Re: Whats happening to my GUI?

    Quote Originally Posted by martinprowe View Post
    I was feed-up of the annual upgrades. They never went smoothly (probably my fault?) and I always ended doing a full install - which of course necessitated installing all my applications and tweaks I had made throughout the year. A nightmare! I had hoped that "little and often" would be easer.
    So, the question is now,
    • always the latest kernel versions and the associated User Interface frameworks and, usually, the latest application versions (not always due to openQA checks) with a rolling upgrade model [Tumbleweed] or,
    • a reasonably stable and usable environment with security and enhancement updates, with the possibility to use the newest useable versions of applications [Leap]?

    Looking at the upgrade issue, the following openSUSE documentation may be helpful:

    "Upgrading the System and System Changes": <https://doc.opensuse.org/documentati...ate.osuse.html>.

    "System Recovery and Snapshot Management with Snapper" (especially relevant for Tumbleweed): <https://doc.opensuse.org/documentati...a.snapper.html>.

    "Installing Multiple Kernel Versions" (also relevant for Tumbleweed): <https://doc.opensuse.org/documentati...ltikernel.html>.



    "SDB: Offline upgrade": <https://en.opensuse.org/SDBffline_upgrade> (ignore the emoticon -- it's a Forum code bug).
    Especially the reference to "Stale configuration files": 'rcrpmconfigcheck'.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •